Clean(1.20)

NAME
Clean - the AfterStep desktop clutter reduction module

SYNOPSIS
Clean is spawned by AfterStep, so no command line invocation will work.

DESCRIPTION
The Clean module performs actions on windows which have not had the keyboard focus for a specific length of time. This is intended to help alleviate the problem of leaving programs running in unused portions of your desktop. Clean reads ~/GNUstep/Library/AfterStep/clean file when it starts up, and looks for lines similar to "*NoClutter 3600 Iconify".

INITIALIZATION
During initialization, Clean will eventually search a configuration file which describes the time-outs and actions to take. If the Clean executable is linked to another name, ie started, with a completely different configuration than Clean, simply by changing the keyword Clean to OtherClutter. This way multiple clutter-reduction programs can be used.

INVOCATION
Clean can be invoked by inserting the line 'Module Clean' in the ~/GNUstep/Library/AfterStep/clean file. This can be placed on a line by itself, if Clean is to be spawned during AfterStep's initialization, or can be bound to a menu or mouse button or keystroke to invoke it later. AfterStep will search directory specified in the ModulePath configuration option to attempt to locate Clean.

CONFIGURATION OPTIONS
Clean reads ~/GNUstep/Library/AfterStep/clean file when it starts up, and looks for lines similar to "*Clean 3600 Iconify". The format of these lines is "*Clean [time] [command]", where command is any AfterStep built-in command, and time is the time in seconds between when a window looses focus and when the command is executed. At most 3 actions can be specified.

AUTHOR
Robert Nation